/attachment/presigned_url

Get a presigned url for uploading an attachment

Get a presigned url for uploading an attachment

Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
ApiKeyAuth (Authorization: Session Token)
Produces
application/json

Request

Query Parameters

NameTypeRequiredDescription
typestringYesType of the attachment
id_relatedintegerYesId of the related object
filenamestringYesFilename of the attachment
sizeintegerYesSize of the attachment
mime_typestringYesMime type of the attachment
cURL
curl -X GET 'https://<tenant>.dieagenturverwaltung.de/api/v2/attachment/presigned_url?type=string&id_related=1&filename=string&size=1&mime_type=string' \
  -H 'Accept: application/json' \
  -H 'Authorization: Session Token'

Responses

200Presigned url
Example
{
  "attachment": {...},
  "url": "string"
}
400Bad request
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
401Unauthorized
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
403Forbidden
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}